{
  "accUserMode" : 2,
  "getCapPSLanguageRes" : {
    "lanResTag" : "MENUITEM.CAPTION.ENTITYGRANTTVIEW"
  },
  "caption" : "实体甘特视图",
  "codeName" : "IBIZOrderGanttView_layout",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZOrderGanttView_layout.json",
  "mDCtrlActiveMode" : 2,
  "name" : "IBIZOrderGanttView_layout",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
  },
  "getPSAppViewMsgGroup" : {
    "modelref" : true,
    "id" : "VMGroup73"
  },
  "getPSControls" : [ {
    "beginDataItemName" : "begin",
    "codeName" : "GanttTree",
    "controlType" : "GANTT",
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder/PSGANTTS/GanttTree.json",
    "endDataItemName" : "end",
    "finishDataItemName" : "finish",
    "logicName" : "甘特图",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
    },
    "getPSControlHandler" : {
      "enableDEFieldPrivilege" : false,
      "id" : "gantt"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "GANTT"
    },
    "getPSDETreeColumns" : [ {
      "caption" : "名称",
      "codeName" : "name",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "name",
      "name" : "name",
      "width" : 280,
      "widthUnit" : "px",
      "enableExpand" : false,
      "enableSort" : false
    }, {
      "caption" : "标识",
      "codeName" : "datakey",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "datakey",
      "name" : "datakey",
      "width" : 280,
      "widthUnit" : "px",
      "enableExpand" : false,
      "enableSort" : false
    }, {
      "caption" : "更新日期",
      "codeName" : "end",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "end",
      "name" : "end",
      "width" : 280,
      "widthUnit" : "px",
      "enableExpand" : false,
      "enableSort" : false
    }, {
      "caption" : "新建时间",
      "codeName" : "begin",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "begin",
      "name" : "begin",
      "width" : 280,
      "widthUnit" : "px",
      "enableExpand" : false,
      "enableSort" : false
    } ],
    "getPSDETreeNodeRSs" : [ {
      "getChildPSDETreeNode" : {
        "modelref" : true,
        "id" : "orderData"
      },
      "name" : "默认根节点 - 订单数据",
      "getParentPSDETreeNode" : {
        "modelref" : true,
        "id" : "ROOT"
      },
      "parentValueLevel" : 1,
      "searchMode" : 3
    }, {
      "getChildPSDETreeNode" : {
        "modelref" : true,
        "id" : "orderDetailData"
      },
      "name" : "订单数据 - 订单明细数据",
      "getParentPSAppDEField" : {
        "name" : "IBIZORDERID",
        "codeName" : "IBIZOrderId"
      },
      "getParentPSDER1N" : {
        "codeName" : "IBIZORDER",
        "dERType" : "DER1N",
        "dynaModelFilePath" : "PSMODULES/Sample/PSDATAENTITIES/IBIZOrderDetail/PSDERS/DER1N_IBIZORDERDETAIL_IBIZORDER_IBIZORDERID.json",
        "masterOrder" : -1,
        "masterRS" : 0,
        "minorCodeName" : "IBIZORDERDETAILS",
        "name" : "DER1N_IBIZORDERDETAIL_IBIZORDER_IBIZORDERID",
        "orderValue" : 100,
        "pickupDEFName" : "IBIZORDERID",
        "removeActionType" : 3,
        "removeOrder" : 0
      },
      "getParentPSDETreeNode" : {
        "modelref" : true,
        "id" : "orderData"
      },
      "parentValueLevel" : 1,
      "searchMode" : 3
    } ],
    "getPSDETreeNodes" : [ {
      "counterMode" : 0,
      "getIdPSAppDEField" : {
        "name" : "IBIZORDERID",
        "codeName" : "IBIZOrderId"
      },
      "maxSize" : -1,
      "name" : "订单数据",
      "nodeType" : "orderData",
      "getPSAppDEDataSet" : {
        "modelref" : true,
        "id" : "FetchDefault"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
      },
      "getPSDETreeNodeDataItems" : [ {
        "cLConvertMode" : "NONE",
        "dataType" : 25,
        "name" : "name",
        "getPSAppDEField" : {
          "name" : "IBIZORDERNAME",
          "codeName" : "IBIZOrderName"
        }
      }, {
        "cLConvertMode" : "NONE",
        "dataType" : 25,
        "name" : "end",
        "getPSAppDEField" : {
          "name" : "UPDATEDATE",
          "codeName" : "UpdateDate"
        }
      }, {
        "cLConvertMode" : "NONE",
        "dataType" : 25,
        "name" : "datakey",
        "getPSAppDEField" : {
          "name" : "ORDERUID",
          "codeName" : "OrderUID"
        }
      }, {
        "cLConvertMode" : "NONE",
        "dataType" : 25,
        "name" : "begin",
        "getPSAppDEField" : {
          "name" : "CREATEDATE",
          "codeName" : "CreateDate"
        }
      } ],
      "getTextPSAppDEField" : {
        "name" : "IBIZORDERNAME",
        "codeName" : "IBIZOrderName"
      },
      "treeNodeType" : "DE",
      "hasPSDETreeNodeRSs" : true,
      "appendPNodeId" : false,
      "disableSelect" : false,
      "enableCheck" : false,
      "enableEditData" : false,
      "enableNewData" : false,
      "enableQuickCreate" : false,
      "enableQuickSearch" : false,
      "enableRemoveData" : false,
      "enableViewData" : false,
      "expandFirstOnly" : false,
      "expanded" : false,
      "rootNode" : false,
      "selectFirstOnly" : false,
      "selected" : false,
      "id" : "orderData"
    }, {
      "counterMode" : 0,
      "name" : "默认根节点",
      "nodeType" : "ROOT",
      "nodeValue" : "root",
      "text" : "默认根节点",
      "treeNodeType" : "STATIC",
      "hasPSDETreeNodeRSs" : true,
      "appendPNodeId" : false,
      "disableSelect" : false,
      "enableCheck" : false,
      "enableEditData" : false,
      "enableNewData" : false,
      "enableQuickCreate" : false,
      "enableQuickSearch" : false,
      "enableRemoveData" : false,
      "enableViewData" : false,
      "expandFirstOnly" : false,
      "expanded" : false,
      "rootNode" : true,
      "selectFirstOnly" : false,
      "selected" : false,
      "id" : "ROOT"
    }, {
      "counterMode" : 0,
      "getIdPSAppDEField" : {
        "name" : "IBIZORDERDETAILID",
        "codeName" : "IBIZOrderDetailId"
      },
      "maxSize" : -1,
      "name" : "订单明细数据",
      "nodeType" : "orderDetailData",
      "getPSAppDEDataSet" : {
        "modelref" : true,
        "id" : "FetchDefault"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrderDetail.json"
      },
      "getPSDETreeNodeDataItems" : [ {
        "cLConvertMode" : "NONE",
        "dataType" : 25,
        "name" : "end",
        "getPSAppDEField" : {
          "name" : "UPDATEDATE",
          "codeName" : "UpdateDate"
        }
      }, {
        "cLConvertMode" : "NONE",
        "dataType" : 25,
        "name" : "begin",
        "getPSAppDEField" : {
          "name" : "CREATEDATE",
          "codeName" : "CreateDate"
        }
      }, {
        "cLConvertMode" : "NONE",
        "dataType" : 25,
        "name" : "datakey",
        "getPSAppDEField" : {
          "name" : "IBIZORDERDETAILID",
          "codeName" : "IBIZOrderDetailId"
        }
      }, {
        "cLConvertMode" : "NONE",
        "dataType" : 25,
        "name" : "name",
        "getPSAppDEField" : {
          "name" : "IBIZORDERDETAILNAME",
          "codeName" : "IBIZOrderDetailName"
        }
      } ],
      "getTextPSAppDEField" : {
        "name" : "IBIZORDERDETAILNAME",
        "codeName" : "IBIZOrderDetailName"
      },
      "treeNodeType" : "DE",
      "hasPSDETreeNodeRSs" : false,
      "appendPNodeId" : false,
      "disableSelect" : false,
      "enableCheck" : false,
      "enableEditData" : false,
      "enableNewData" : false,
      "enableQuickCreate" : false,
      "enableQuickSearch" : false,
      "enableRemoveData" : false,
      "enableViewData" : false,
      "expandFirstOnly" : false,
      "expanded" : false,
      "rootNode" : false,
      "selectFirstOnly" : false,
      "selected" : false,
      "id" : "orderDetailData"
    } ],
    "prevDataItemName" : "prev",
    "sNDataItemName" : "sn",
    "totalDataItemName" : "total",
    "treeGridMode" : 2,
    "enableRootSelect" : false,
    "outputIconDefault" : true,
    "rootVisible" : false,
    "name" : "gantt",
    "modelid" : "aa2cb5cf16d99bc919ca3daf49f8f032",
    "modeltype" : "PSDEGANTT"
  } ],
  "getPSDEViewCodeName" : "GanttView_layout",
  "getPSDEViewId" : "FABC81A7-B59E-4140-8630-84FE5ADB2EFC",
  "getPSViewLayoutPanel" : {
    "getAllPSPanelFields" : [ {
      "id" : "view_pagecaption"
    } ],
    "codeName" : "Layoutpanel",
    "controlType" : "VIEWLAYOUTPANEL",
    "layoutMode" : "TABLE_24COL",
    "logicName" : "甘特视图",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
    },
    "getPSControlParam" : { },
    "getPSLayout" : {
      "columnCount" : 24,
      "layout" : "TABLE_24COL"
    },
    "getRootPSPanelItems" : [ {
      "caption" : "滚动条容器",
      "itemStyle" : "DEFAULT",
      "itemType" : "CONTAINER",
      "name" : "container_scroll1",
      "getPSLayout" : {
        "layout" : "BORDER"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "getPSPanelItems" : [ {
        "caption" : "面板容器",
        "itemStyle" : "DEFAULT",
        "itemType" : "CONTAINER",
        "name" : "container_scroll_main1",
        "getPSLayout" : {
          "layout" : "BORDER"
        },
        "getPSLayoutPos" : {
          "layout" : "BORDER",
          "layoutPos" : "CENTER"
        },
        "getPSPanelItems" : [ {
          "caption" : "GANTT部件",
          "itemStyle" : "DEFAULT",
          "itemType" : "CTRLPOS",
          "name" : "gantt",
          "getPSLayoutPos" : {
            "layout" : "BORDER",
            "layoutPos" : "CENTER"
          },
          "showCaption" : true
        } ],
        "showCaption" : true
      }, {
        "caption" : "面板容器",
        "contentHeight" : 80.0,
        "height" : 80.0,
        "itemStyle" : "DEFAULT",
        "itemType" : "CONTAINER",
        "name" : "container_scroll_header1",
        "getPSLayout" : {
          "layout" : "BORDER"
        },
        "getPSLayoutPos" : {
          "height" : 80,
          "heightMode" : "PX",
          "layout" : "BORDER",
          "layoutPos" : "NORTH"
        },
        "getPSPanelItems" : [ {
          "caption" : "栅格容器",
          "itemStyle" : "DEFAULT",
          "itemType" : "CONTAINER",
          "name" : "container_grid1",
          "getPSLayout" : {
            "layout" : "SIMPLEFLEX"
          },
          "getPSLayoutPos" : {
            "layout" : "BORDER",
            "layoutPos" : "CENTER"
          },
          "getPSPanelItems" : [ {
            "caption" : "面板容器",
            "itemStyle" : "DEFAULT",
            "itemType" : "CONTAINER",
            "name" : "container1",
            "getPSLayout" : {
              "layout" : "SIMPLEFLEX"
            },
            "getPSLayoutPos" : {
              "grow" : 12,
              "layout" : "SIMPLEFLEX"
            },
            "getPSPanelItems" : [ {
              "caption" : "页面标题",
              "itemStyle" : "DEFAULT",
              "itemType" : "FIELD",
              "name" : "view_pagecaption",
              "getPSEditor" : {
                "editorType" : "SPAN",
                "name" : "view_pagecaption",
                "predefinedType" : "VIEW_PAGECAPTION",
                "renderMode" : "HEADING1",
                "enableLinkView" : false
              },
              "getPSLayoutPos" : {
                "grow" : -1,
                "hAlignSelf" : "LEFT",
                "layout" : "SIMPLEFLEX",
                "vAlignSelf" : "MIDDLE"
              },
              "hidden" : false,
              "showCaption" : false
            } ]
          } ]
        } ],
        "showCaption" : true
      } ]
    } ],
    "layoutBodyOnly" : true,
    "layoutPanel" : true,
    "useDefaultLayout" : false,
    "modelid" : "3CF2CD83-FDEC-40C2-9FE7-AC4494127B7D",
    "modeltype" : "PSSYSVIEWLAYOUTPANEL"
  },
  "title" : "实体甘特视图",
  "viewStyle" : "DEFAULT",
  "viewType" : "DEGANTTVIEW",
  "xDataControlName" : "gantt",
  "enableDP" : true,
  "enableFilter" : false,
  "showCaptionBar" : false,
  "modelid" : "831cfd00f6b5438f20d2136a68eede3c",
  "modeltype" : "PSAPPDEVIEW"
}